/*
 * Copyright 2011 GantzGulch, Inc.
 * 
 * This file is part of GantzHtmlTaglibs.
 *
 * GantzHtmlTaglibs is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GantzHtmlTagLibs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with GantzHtmlTagLibs.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package com.gantzgulch.taglibs.html;

import javax.servlet.ServletContext;
import javax.servlet.jsp.tagext.BodyTagSupport;

public class AbstractTag  extends BodyTagSupport {

	private static final long serialVersionUID = -4465428811941481286L;
	
	private String timestamp;
	
	public void setTagTimestamp(String timestamp){
		this.timestamp = timestamp;
	}
	
	public String getTagTimestamp(){
		return timestamp != null ? timestamp : getAppTimestamp();
	}

	private String getAppTimestamp(){
		ServletContext servletContext = pageContext.getServletContext();
		String tagTimestamp = (String)servletContext.getAttribute("TAG_TIMESTAMP");
		if( tagTimestamp == null ){
			tagTimestamp = Long.toString(System.currentTimeMillis());
			servletContext.setAttribute("TAG_TIMESTAMP", tagTimestamp);
		}
		return tagTimestamp;
	}
	
	public String getAppContext(){
		ServletContext servletContext = pageContext.getServletContext();
		return servletContext.getContextPath();
	}
	
}
