/*
 * Copyright 2011 GantzGulch, Inc.
 * 
 * This file is part of GantzHtmlTaglibs.
 *
 * GantzHtmlTaglibs is free software: you can redistribute it and/or modify
 * it under the terms of the GNU Lesser General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * GantzHtmlTagLibs is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public License
 * along with GantzHtmlTagLibs.  If not, see <http://www.gnu.org/licenses/>.
 *
 */
package com.gantzgulch.taglibs.html;


public class LinkTag extends AbstractHtmlTag {

	private static final long serialVersionUID = -4933488453297744344L;

	public LinkTag() {
		super("link");
	}
	
	public void setRel(String rel){
		setAttribute("rel", rel);
	}
	
	public void setType(String type){
		setAttribute("type", type);
	}
	
	public void setMedia(String media){
		setAttribute("media", media);
	}
	
	public void setHref(String href){
		setAttribute("href", appendTimestamp(getAppContext() + href) );
	}

}
